BusWiringBeanFactoryPostProcessor (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.bus.spring, class: BusWiringBeanFactoryPostProcessor

Package org.apache.cxf.bus.spring

# Class BusWiringBeanFactoryPostProcessor

java.lang.Object
org.apache.cxf.bus.spring.BusWiringBeanFactoryPostProcessor

All Implemented Interfaces:
  `org.springframework.beans.factory.config.BeanFactoryPostProcessor`

public class BusWiringBeanFactoryPostProcessor extends Object implements org.springframework.beans.factory.config.BeanFactoryPostProcessor
BeanFactoryPostProcessor that looks for any bean definitions that have the `AbstractBeanDefinitionParser.WIRE_BUS_ATTRIBUTE` attribute set. If the attribute has the value `BusWiringType.PROPERTY` then it attaches their "bus" property to the bean called "cxf". If the attribute has the value `BusWiringType.CONSTRUCTOR` then it shifts any existing indexed constructor arguments one place to the right and adds a reference to "cxf" as the first constructor argument. This processor is intended to operate on beans defined via Spring namespace support which require a reference to the CXF bus.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusWiringBeanFactoryPostProcessor()`
  `BusWiringBeanFactoryPostProcessor(String n)`
  `BusWiringBeanFactoryPostProcessor(Bus b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Bus`
  `addBus(org.springframework.context.ApplicationContext ctx, String name)`
  `static Bus`
  `addDefaultBus(org.springframework.context.ApplicationContext ctx)`
  `void`
  `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BusWiringBeanFactoryPostProcessor

    public BusWiringBeanFactoryPostProcessor()

  - ### BusWiringBeanFactoryPostProcessor

    public BusWiringBeanFactoryPostProcessor(Bus b)

  - ### BusWiringBeanFactoryPostProcessor

    public BusWiringBeanFactoryPostProcessor(String n)

- ## Method Details

  - ### postProcessBeanFactory

    public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory)
    Specified by:
      `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`

  - ### addDefaultBus

    public static Bus addDefaultBus(org.springframework.context.ApplicationContext ctx)

  - ### addBus

    public static Bus addBus(org.springframework.context.ApplicationContext ctx, String name)